interface MenuItem {
  name: string;
  path: string;
  children?: MenuItem[];
}

// 知识产权模块路由
const IPMenuList: MenuItem[] = [
  {
    name: "商标管理",
    path: "/ip/trademark-management",
    children: [
      {
        name: "国内外商标管理",
        path: "/ip/trademark-management/manage",
      },
      {
        name: "商标续展",
        path: "/ip/trademark-management/renewal",
      },
      {
        name: "商标变更",
        path: "/ip/trademark-management/amendment",
      },
      {
        name: "商标撤三",
        path: "/ip/trademark-management/cancellation",
      },
      {
        name: "商标异议/无效",
        path: "/ip/trademark-management/opposition",
      },
      {
        name: "商标驳回复审",
        path: "/ip/trademark-management/rejection",
      },
    ],
  },
  {
    name: "专利管理",
    path: "/ip/patent-management",
    children: [
      {
        name: "国内专利管理",
        path: "/ip/patent-management/domestic",
      },
      {
        name: "国外专利管理",
        path: "/ip/patent-management/foreign",
      },
      {
        name: "专利维权咨询",
        path: "/ip/patent-management/protection",
      },
      {
        name: "专利运营需求",
        path: "/ip/patent-management/operate",
      },
    ],
  },
];

// 学术平台模块路由
const APMenuList: MenuItem[] = [
  {
    name: "学术文章",
    path: "/ap/article-display",
  },
];

// 共享技术创新模块路由
const STIMenuList: MenuItem[] = [
  {
    name: "技术创新需求",
    path: "/sti/innovation-needs",
  },
  {
    name: "技术成果转化",
    path: "/sti/technology-transfer",
  },
];

export default {
  IPMenuList,
  APMenuList,
  STIMenuList,
};
