import { http } from "@/api/http";
import { httpErrorHandle } from "@/utils";
import { RequestHttpEnum } from "@/enums/httpEnum";

const basePath = "trademark-rejection";

// 列表
export const getList = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.GET)(
      `/intellectual-property/${basePath}/list`,
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 添加
export const postCreate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      `/intellectual-property/${basePath}/create`,
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 编辑
export const postUpdate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      `/intellectual-property/${basePath}/create`,
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 审批
export const putApproval = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.PUT)(
      `/intellectual-property/${basePath}/approval`,
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 删除商标
export const deleteProject = async (id: number) => {
  try {
    const res = await http(RequestHttpEnum.DELETE)(
      "/intellectual-property/trademark/delete/" + id
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};
