import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import { resolve } from "path";
const pathResolve = (dir: string) => {
  return resolve(process.cwd(), ".", dir);
};
export default defineConfig({
  base: process.env.NODE_ENV === "production" ? "./" : "/",
  plugins: [vue()],
  resolve: {
    alias: [
      {
        find: "@",
        replacement: pathResolve("src"),
      },
    ],
    dedupe: ["vue"],
  },
});
